Avant toute chose merci de (re)prendre connaissance de la charte et de la respecter.
Pour résumer :
- Avant de poser une question, je cherche si la réponse existe
- Je suis poli, courtois et je respecte tout un chacun sur le forum
- Si un post m'agace : je m'en éloigne plutôt que de répondre d'une façon qui pourrait être mal interprétée


Il n'est jamais du luxe que de rappeler des choses simples :
Courtoisie, amabilité, politesse et bonne humeur sont les maîtres mots pour un forum sympathique, bienveillant et accueillant :)

Le groupe des Helpers est present pour vous aidez, n'hésitez pas à poser des questions ;)

Toute la communauté vous remercie

[Résolu] Installation dépendances Rflink

Répondre
crakis
Timide
Messages : 21
Inscription : 01 févr. 2018, 17:43

[Résolu] Installation dépendances Rflink

Message par crakis » 08 févr. 2018, 08:52

Bonjour à tous,

Je rencontre un problème d'installation des dépendances du Rffink

Si quelqu'un à un tuyau
Merci

Voici le log
log.png
log.png (58.87 Kio) Consulté 935 fois

Bosquetia
Actif
Messages : 6767
Inscription : 10 mai 2016, 07:54

Re: Installation dépendances Rflink

Message par Bosquetia » 08 févr. 2018, 09:10

Hello

Il te manque le paquet npm c'est écrit dans le log.
Il faut te connecter en ssh et installer ce paquet.

Et je déplace dans la section du plugin car c'est pas utilisation jeedom le sujet...

crakis
Timide
Messages : 21
Inscription : 01 févr. 2018, 17:43

Re: Installation dépendances Rflink

Message par crakis » 08 févr. 2018, 09:36

Merci pour ta réponse,

J'ai tenté mais j'obtiens ça :

pi@Raspberry:~ $ sudo apt-get install npmsudo apt-get install npm
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet npmsudo
E: Impossible de trouver le paquet apt-get
E: Impossible de trouver le paquet install

Bosquetia
Actif
Messages : 6767
Inscription : 10 mai 2016, 07:54

Re: Installation dépendances Rflink

Message par Bosquetia » 08 févr. 2018, 09:42

le paquet c'est npm pas npm sudo...
donc la commande est sudo apt-get install npm
et pas sudo apt-get install npmsudo apt-get install npm !!

crakis
Timide
Messages : 21
Inscription : 01 févr. 2018, 17:43

Re: Installation dépendances Rflink

Message par crakis » 08 févr. 2018, 09:54

Cool, Merci beaucoup,
j'avance tout doucement... je viens de lancer le flash du Rflink
Tu peux me dire si le flash prends beaucoup de temps ?

Bosquetia
Actif
Messages : 6767
Inscription : 10 mai 2016, 07:54

Re: Installation dépendances Rflink

Message par Bosquetia » 08 févr. 2018, 10:18

Aucune idée, je n'ai pas de rflink

crakis
Timide
Messages : 21
Inscription : 01 févr. 2018, 17:43

Re: Installation dépendances Rflink

Message par crakis » 08 févr. 2018, 12:23

Bon ben je patauge encore ...
J'ai beau essayer dans tous les sens, je reste bloqué sur "flash en cours", meme en rebootant tout je reviens toujours sur la meme chose

Je pense que j'ai du louper quelque chose :?:
Pièces jointes
log.png
log.png (66.96 Kio) Consulté 910 fois

Bosquetia
Actif
Messages : 6767
Inscription : 10 mai 2016, 07:54

Re: Installation dépendances Rflink

Message par Bosquetia » 08 févr. 2018, 12:49

y a pas un port a choisir type usb ou réseau pour dire au plugin comment communiquer avec le rflink ?

crakis
Timide
Messages : 21
Inscription : 01 févr. 2018, 17:43

Re: Installation dépendances Rflink

Message par crakis » 08 févr. 2018, 20:20

Oui le raspberry est bien ciblé dans la config du plugin

crakis
Timide
Messages : 21
Inscription : 01 févr. 2018, 17:43

Re: Installation dépendances Rflink

Message par crakis » 08 févr. 2018, 20:25

Voici le log du flash
Pièces jointes
log.png
log.png (67.01 Kio) Consulté 898 fois

crakis
Timide
Messages : 21
Inscription : 01 févr. 2018, 17:43

Re: Installation dépendances Rflink

Message par crakis » 09 févr. 2018, 08:07

C'est bon le problème est maintenant réglé après avoir refait la manip suite à une restauration
Merci

fredH76
Timide
Messages : 4
Inscription : 04 févr. 2018, 15:11

Re: [Résolu] Installation dépendances Rflink

Message par fredH76 » 11 févr. 2018, 21:10

J'avais exactement le même problème.
MERCiiii pour la réponse: il fallait juste installer npm avec la commande " sudo apt-get install npm".
J'étais à deux doigts de laisser tomber Jeedom pour passer sur Domoticz :-( Merci!!

Par contre je regrette que les developpeurs de RFLink ne laissent AUCUN moyen de les joindre pour résoudre les problèmes de leur plugin, surtout qu'il s'agit d'un plugin payant et que leur doc est ULTRA sommaire...

Prince-JF
Timide
Messages : 7
Inscription : 12 nov. 2018, 13:32

Re: [Résolu] Installation dépendances Rflink

Message par Prince-JF » 10 janv. 2019, 18:44

Je relance le sujet pour ma part, j'ai toujours les dépendances en NOK même après avoir installer npm.
Je suis d'accord avec fred pour la mise en service du RFlink étant newbie.

Voici le log :

Début de l'installation
--2019-01-10 19:53:41-- https://raw.githubusercontent.com/lunar ... /nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.120.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.120.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1489 (1.5K) [text/plain]
Saving to: 'dependencies.sh'

0K . 100% 20.1M=0s

2019-01-10 19:53:41 (20.1 MB/s) - 'dependencies.sh' saved [1489/1489]

dependencies.sh: 3: [: rflink: unexpected operator
Version actuelle : 8
Hit:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Hit:2 http://archive.raspberrypi.org/debian stretch InRelease
Hit:3 https://deb.nodesource.com/node_6.x stretch InRelease
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version (9.20161125+rpi1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Ok, version suffisante
(node:4405) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
npm WARN package.json JeedomRflink@0.0.1 No README data
npm ERR! Error: Method Not Allowed
npm ERR! at errorResponse (/usr/share/npm/lib/cache/add-named.js:260:10)
npm ERR! at /usr/share/npm/lib/cache/add-named.js:203:12
npm ERR! at saved (/usr/share/npm/node_modules/npm-registry-client/lib/get.js:167:7)
npm ERR! at FSReqWrap.oncomplete (fs.js:135:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR! <http://github.com/npm/npm/issues>

npm ERR! System Linux 4.14.92-v7+
npm ERR! command "/usr/bin/node" "/usr/bin/npm" "install"
npm ERR! cwd /var/www/html/plugins/rflink/resources
npm ERR! node -v v8.11.1
npm ERR! npm -v 1.4.21
npm ERR! code E405
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /var/www/html/plugins/rflink/resources/npm-debug.log
npm ERR! not ok code 0
Fin de l'installation

Prince-JF
Timide
Messages : 7
Inscription : 12 nov. 2018, 13:32

Re: [Résolu] Installation dépendances Rflink

Message par Prince-JF » 13 janv. 2019, 22:04

Bon bah réponse à moi meme, j'ai réussi a remettre les dépendances ok avec ces commandes là :
curl -sL https://deb.nodesource.com/setup_9.x | sudo -E bash -
puis
apt-get install y node.js

fco
Timide
Messages : 18
Inscription : 13 janv. 2019, 15:11

Re: [Résolu] Installation dépendances Rflink

Message par fco » 14 janv. 2019, 21:16

bonsoir, j' ai un soucis sur mon demon tout est NOK + configuration "flash en cours" figé! Et plus de commande (RE)démarrer.
Merci d'avance

Répondre

Revenir vers « [Plugin Officiel] RFPlayer »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 0 invité